Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 155768)
+++ channels/chan_sip.c	(working copy)
@@ -3067,6 +3067,8 @@
 			AST_SCHED_DEL(sched, p->initid);
 			p->initid = ast_sched_add(sched, p->maxtime ? (p->maxtime * 4) : SIP_TRANS_TIMEOUT, auto_congest, p);
 		}
+	} else {
+		ast->hangupcause = AST_CAUSE_USER_BUSY;
 	}
 	return res;
 }
Index: apps/app_dial.c
===================================================================
--- apps/app_dial.c	(revision 155768)
+++ apps/app_dial.c	(working copy)
@@ -1375,6 +1375,9 @@
 				ast_log(LOG_DEBUG, "ast call on peer returned %d\n", res);
 			if (option_verbose > 2)
 				ast_verbose(VERBOSE_PREFIX_3 "Couldn't call %s\n", numsubst);
+			if (tmp->chan->hangupcause) {
+				chan->hangupcause = tmp->chan->hangupcause;
+			}
 			ast_hangup(tmp->chan);
 			tmp->chan = NULL;
 			free(tmp);
